Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.EqualityExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.EqualityExprAltContext

-     public static class GroovyParser.EqualityExprAltContext
      extends ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `ExpressionContext` | `left` |
    `Token` | `op` |
    `ExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EqualityExprAltContext (ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `EQUAL()`
    `` | `public TerminalNode` | `IDENTICAL()`
    `` | `public TerminalNode` | `NOTEQUAL()`
    `` | `public TerminalNode` | `NOT_IDENTICAL()`
    `` | `public TerminalNode` | `SPACESHIP()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public ExpressionContext` | `expression(int i)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

- - ### Field Detail

    - #### public ExpressionContext left

    - #### public Token op

    - #### public ExpressionContext right

  - ### Constructor Detail

    - #### public EqualityExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode EQUAL()

    - #### public TerminalNode IDENTICAL()

    - #### public TerminalNode NOTEQUAL()

    - #### public TerminalNode NOT_IDENTICAL()

    - #### public TerminalNode SPACESHIP()

    - #### <Result> @Override public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public ExpressionContext expression(int i)

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)